# Tiny-URL-Prototype

Prototype of URL Shortening system. Goals are
- Maintainable microservice architecture
- Adopting the modular design/coding practice keeping end to end automation in mind.
- Hashing, base64 encoding, worker serial and granualr timesatmp to ensure the uniqueness of shorten url.

